#include <iostream>
#include <stdlib.h>

using namespace std;

int main()
{
    int n;
    int k;
    cin >> n;
    cin >> k;
    int pogodak[n];
    int polja[2*n];
    
    for (int i = 0; i < 2 * n; i++){
        polja[i] = 0;
    }
    
    for(int i = 0; i < n; i++){
        cin >> pogodak[i];
        polja[n + pogodak[i]]++;
    }
    
    int broj_menjanja = 0;
    
    for(int i = 0; i < 2*n; i++){
        if (polja[i] >= k){
            broj_menjanja++;
        }
    }
    
    cout << broj_menjanja << endl;
    
    for(int i = 0; i < 2*n; i++){
        if(polja[i] >= k){
            cout << -n + i << " ";
        }
    }
}